name: PostmarketOS build
on:
  push:
  workflow_dispatch:

jobs:
  build:
    runs-on: Pmbootstrap
    strategy:
      matrix:
        info:
          - arch: aarch64
          - arch: x86_64
    name: Build for ${{ matrix.info.arch }}
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Build package
        id: build
        uses: actions/pmbootstrap-build@main
        with:
          name: pipetap
          aports: ${{github.workspace}}/misc/alpine
          arch: ${{ matrix.info.arch }}
          src: ${{github.workspace}}
      - name: Print new packages
        run: echo "${{steps.build.outputs.packages}}"
